GET
https://api.cryptohopper.com/v1/hopper/{id}/trade/{trade_id}
Returns one trade of the hopper, including the strategy result that triggered it when available.
OAuth scope:
read About scopes
strategy_result is null when the trade was not triggered by a strategy or no strategy values were stored.
Example request
curl "https://api.cryptohopper.com/v1/hopper/HOPPER_ID/trade/TRADE_ID" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/trade/TRADE_ID', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/hopper/HOPPER_ID/trade/TRADE_ID",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/hopper/HOPPER_ID/trade/TRADE_ID');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Headers
| Name | Type | Required | Description |
|---|---|---|---|
access-token |
string | Required | The OAuth access token of the user. |
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
trade_id |
string | Required | Trade ID. |
id |
string | Required | Hopper ID. |
Response
{
"data": {
"id": "268001234",
"exchange": "binance",
"currency": "BTC",
"pair": "BTCUSDT",
"type": "sell",
"date": "2026-09-20 14:32:10",
"amount": "0.0015",
"rate": "65210.5",
"total": "97.81575",
"fee": "0.0978",
"result": "1.52",
"trigger_strategy": "take-profit",
"strategy_result": null,
"buy_id": "268001100",
"is_short": "0",
"result_short": "0.00"
}
}